#!/bin/bash 

for SVG in `ls *.svg` 		#für alle .svg in dem Folder#
do 

echo $SVG          		                                                         
echo ${SVG%%.*}.pdf

inkscape --export-pdf=${SVG%%.*}.pdf $SVG
convert -resize 400 ${SVG%%.*}.pdf ${SVG%%.*}.png
#autotrace -centerline --output-file=${SVG%%.*}_trace.pdf ${SVG%%.*}.png

autotrace -background-color=FFFFFF -color-count 2 -remove-adjacent-corners -corner-threshold 132 -corner-always-threshold 180 -filter-iterations 10 --output-file=${SVG%%.*}_trace.pdf ${SVG%%.*}.png




done 








exit 0; 
