#!/bin/bash

  OUTPUTDIR=o/poster
  TMPDIR=tmp

# ------------------------------------------------------- #
# CREATE  LIST
# ------------------------------------------------------- #

  INPUTDIR=o/poster
  LIST=$TMPDIR/alphabet.list

# FIND FILES IN A DIRECTORY

  find ${INPUTDIR} -name "*.pdf" | \
  shuf | \
  head -10 | \
  sort > $LIST

  BEFORE=$TMPDIR/before.pdf
  cp `cat $LIST | shuf -n 1` $BEFORE

# ------------------------------------------------------- #
# USE PDFTK IN A LOOP
# ------------------------------------------------------- #

  for PDF in `cat $LIST`
   do
      pdftk $PDF background $BEFORE output $TMPDIR/out.pdf
      cp $TMPDIR/out.pdf $BEFORE
 done

 mv $BEFORE $OUTPUTDIR/pdftkloop.pdf

exit 0;
